/*
   After the call to fork(), both processes have a file descriptor set to the same current position in the output file. How many messages appear in the file? What does the number of lines tell you about the file descriptors and connections to files?
*/
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>

int main()
{
   int fd;
   int pid;
   char msg1[] = "Testing 1 2 3 ...\n";
   char msg2[] = "Hello, hello\n";

   if ( (fd = creat("testfile", 0644)) == -1 )
      return 0;
   if ( write(fd, msg1, strlen(msg1)) == -1 )
      return 0;

   if ( (pid = fork()) == -1 )
      return 0;
   if ( write(fd, msg2, strlen(msg2)) == -1 )
      return 0;

   close(fd);
   return 1;
}