/*  forkdemo3.c - shows how the return value from fork()
 *                allows a process to determine whether
 *                it is the child or parent process
 */
#include <stdio.h>
#include <unistd.h>

int main()
{
   int fork_rv;

   printf("Before: my pid is %d\n", getpid());

   fork_rv = fork();    /* create new process */

   if ( -1 == fork_rv ) /* check for error */
      perror("fork");
   else if ( 0 == fork_rv )
      printf("I am the child,  my pid=%d.\n", getpid());
   else
      printf("I am the parent, my child is %d.\n", fork_rv);

   return 0;
}
